# class SccpRemote | Helper class to keep a remote sccp More...
Full name | `TelEngine::SccpRemote`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::Mutex [public ], TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SccpRemote (SS7PointCode::Type pcType)
- SccpRemote (unsigned int pointcode, SS7PointCode::Type pcType)
- virtual ~SccpRemote ()
- bool initialize (const String& params)
- inline SCCPManagement::SccpStates getState ()
- SccpSubsystem* getSubsystem (int ssn)
- void setState (SCCPManagement::SccpStates state)
- inline const SS7PointCode& getPointCode ()
- inline int getPackedPointcode ()
- inline const char* getPointCodeType ()
- void dump (String& dest, bool extended = false)
- bool changeSubsystemState (int ssn,SCCPManagement::SccpStates newState)
- inline ObjList& getSubsystems ()
- inline void setCongestion (unsigned int cl)
- inline void resetCongestion ()
- inline unsigned int getCongestion ()

## Detailed Description

Helper class to keep a remote sccp

SccpRemote (SS7PointCode::Type pcType) | ### SccpRemote

Constructor

Parameters:

pcType | The pointcode type

SccpRemote (unsigned int pointcode, SS7PointCode::Type pcType) | ### SccpRemote

Constructor. Construncot an Remote sccp from given pointcode and pointcode type

Parameters:

pointcode | Integer value assigned to remote pointcode.
pcType | Remote pointcode type

~SccpRemote () | ### ~SccpRemote

[virtual]

Destructor

bool initialize (const String& params) | ### initialize

Initialize the pointcode and subsystems list from a string

Parameters:

params | String containing the pointcode and the subsystems list

Returns: False if the pointcode from the string is not valid Usage

inline SCCPManagement::SccpStates getState () | ### getState

Obtain the state of this remote SCCP

Returns: Remote SCCP state

SccpSubsystem* getSubsystem (int ssn) | ### getSubsystem

Find a subsystem stored in remote subsystems list

Parameters:

ssn | The subsystem number of the remote subsystem

Returns: Pointer to the Subsystem or 0 if it was not found

void setState (SCCPManagement::SccpStates state) | ### setState

Set remote SCCP state

Parameters:

state | The new state of the remote SCCP

inline const SS7PointCode& getPointCode () | ### getPointCode

Obtain the PointCode of the remote SCCP

Returns: The pointcode of the remote SCCP

inline int getPackedPointcode () | ### getPackedPointcode

Obtain the pointcode as an integer

Returns: The packed pointcode representation

inline const char* getPointCodeType () | ### getPointCodeType

Obtain a string representation of the remote pointcode type

Returns: String representation of remote pointcode type

void dump (String& dest, bool extended = false) | ### dump

Dump this sccp status an all it's subsystems

Parameters:

dest | Destination string
extended | True to append the subsystems status

bool changeSubsystemState (int ssn,SCCPManagement::SccpStates newState) | ### changeSubsystemState

Helper method to change a subsystem state

Parameters:

ssn | The subsystem ssn
newState | The subsystem new state

Returns: False if the subsystem state is the same

inline ObjList& getSubsystems () | ### getSubsystems

Helper method to obtain remote sccp's subsystems list

Returns: The subsystems list

inline void setCongestion (unsigned int cl) | ### setCongestion

Helper method to set congestion level

Parameters:

cl | The new congestion level

inline void resetCongestion () | ### resetCongestion

Helper method to reset congestion level

inline unsigned int getCongestion () | ### getCongestion

Helper method to obtain the congestion level

Returns: The congestion level

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.